:root {
  --standard-transition: 0.3s ease-in-out;
}

html {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
}

* {
  box-sizing: border-box;
}

img,
svg {
  max-width: 100%;
}

div.aligncenter {
  text-align: center;
}

a,
a:before,
a:after,
button,
input[type="submit"],
.wp-element-button {
  transition: all var(--standard-transition);
  text-decoration: none;
}

li::marker {
  color: var(--wp--preset--color--custom-gold);
}

p:not(.top-bar-link) > a {
  text-decoration: underline;
}

.wp-block-image > a {
  display: block;
  width: 100%;
}

input,
textarea {
  border: 2px solid var(--wp--preset--color--custom-purple) !important;
  border-radius: 5px;
  padding: 10px 20px;
}

button,
input[type="submit"] {
  background-color: var(--wp--preset--color--custom-purple) !important;
  color: var(--wp--preset--color--white) !important;
  border:none;
  border-radius: 5px;
  padding: 10px 20px;
  font-size: var(--wp--preset--font-size--small) !important;
  font-family: var(--wp--preset--font-family--lexend-exa) !important;
  text-transform: uppercase !important;
}

button:hover,
button:focus,
input[type="submit"]:hover,
input[type="submit"]:focus,
.wp-element-button:hover,
.wp-element-button:focus,
.wp-block-button__link:hover,
.wp-block-button__link:focus {
  background-color: var(--wp--preset--color--custom-pink) !important;
}

.is-style-site-footer {
  --wp--preset--font-size--small: clamp(.65rem, 4vw, .75rem);
}

.is-style-copyright {
  font-size: 0.5rem !important;
}

:where(.wp-site-blocks) > * {
  margin-block-start: 0 !important;
}

body {
  position: relative;
  background-color: #f6edfa;
}

header.wp-block-template-part {
  position: sticky;
  top: 0;
  width: 100%;
  z-index: 5;
}
header.wp-block-template-part .is-style-site-header {
  transition: all var(--standard-transition);
}
header.wp-block-template-part .is-style-site-header .wp-block-group {
  position: relative;
}
header.wp-block-template-part .is-style-site-header > .wp-block-group {
  transition: all var(--standard-transition);
}
header.wp-block-template-part .is-style-site-header.stuck {
  background-color: var(--wp--preset--color--white) !important;
  filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.1));
}
header.wp-block-template-part .is-style-site-header.stuck > .wp-block-group:not(.has-background) {
  background: var(--wp--preset--gradient--custom-clouds);
}
header.wp-block-template-part .is-style-site-header .wp-block-group:has(.wp-block-site-logo) {
  z-index: 3;
}
header.wp-block-template-part .is-style-site-header .wp-block-site-logo {
  position: absolute;
  left: 0;
  top: 6px;
  border-radius: 50%;
  padding: 3px;
  background-color: var(--wp--preset--color--white);
}
header.wp-block-template-part .is-style-site-header .wp-block-navigation__container > li.wp-block-navigation-item > a {
  text-align: center;
}
header.wp-block-template-part .is-style-site-header .wp-block-navigation__container > li.wp-block-navigation-item > a:hover, header.wp-block-template-part .is-style-site-header .wp-block-navigation__container > li.wp-block-navigation-item > a:focus {
  color: var(--wp--preset--color--custom-pink);
  transform: scale(1.05);
}
header.wp-block-template-part .wp-block-navigation__responsive-container-open:not(.always-shown) {
  display: block !important;
}
header.wp-block-template-part .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
  display: none !important;
}
@media (min-width: 1100px) {
  header.wp-block-template-part .wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: none !important;
  }
  header.wp-block-template-part .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
    display: block !important;
  }
  header.wp-block-template-part li.wp-block-navigation-item a {
    padding: 15px !important;
  }
  header.wp-block-template-part .wp-block-navigation__container > li.wp-block-navigation-item > a {
    text-align: center;
  }
  header.wp-block-template-part .wp-block-navigation__container > li.wp-block-navigation-item > a:hover, header.wp-block-template-part .wp-block-navigation__container > li.wp-block-navigation-item > a:focus {
    color: var(--wp--preset--color--custom-gold);
  }
}
@media (max-width: 1100px) {
  header.wp-block-template-part ul.wp-block-navigation__container {
    width: 100%;
    align-items: flex-start !important;
  }
  header.wp-block-template-part ul.wp-block-navigation__container .has-small-font-size {
    font-size: var(--wp--preset--font-size--medium) !important;
  }
  header.wp-block-template-part .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item {
    flex-direction: row;
    flex-wrap: wrap;
  }
  header.wp-block-template-part .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__submenu-icon {
    display: block !important;
    width: 40px;
    height: 40px;
  }
  header.wp-block-template-part .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__submenu-icon svg {
    max-width: 30%;
  }
  header.wp-block-template-part .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__submenu-icon + ul {
    flex: 0 0 100%;
    padding-left: 0;
    margin-left: 0;
  }
  header.wp-block-template-part .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__submenu-icon[aria-expanded=false] + ul {
    display: none !important;
  }
  header.wp-block-template-part .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__submenu-icon[aria-expanded=true] + ul {
    display: block !important;
  }
  header.wp-block-template-part .wp-block-navigation__responsive-container .wp-block-buttons {
    width: 100% !important;
  }
}

.wp-site-blocks {
  max-width: min(1600px, 95%);
  margin: 0 auto;
}

main {
  background-color: var(--wp--preset--color--white);
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
}
main img {
  border-radius: 10px;
}

.wp-block-create-block-shopify-cart-toggle-block {
  padding: 0 !important;
}

.navigation__view-cart-link {
  color: var(--wp--preset--color--custom-deep-purple) !important;
  font-size: var(--wp--preset--font-size--small) !important;
  font-family: var(--wp--preset--font-family--lexend-exa) !important;
  text-transform: uppercase !important;
}

.navigation__view-cart span {
  transition: all var(--standard-transition);
}

.navigation__view-cart span:hover {
  color: var(--wp--preset--color--custom-pink) !important;
  transform: scale(1.05);
  text-decoration: none !important;
}

.navigation__view-cart span::after {
  width: 16px;
  height: 16px;
  margin-left: var(--wp--preset--spacing--30);
  margin-right: 0;
  filter: invert(81%) sepia(62%) saturate(3971%) hue-rotate(209deg) brightness(81%) contrast(80%);
  filter: invert(60%) sepia(49%) saturate(604%) hue-rotate(289deg) brightness(90%) contrast(90%);
}

.single-product__title {
  font-weight: 700 !important;
}

shopify-variant-selector::part(radio),
.tertiary-button {
  border-color: var(--wp--preset--color--custom-light-blue) !important;
  background-color: var(--wp--preset--color--custom-light-blue) !important;
}

shopify-variant-selector::part(radio-selected),
.single-product__add-button {
  border-color: var(--wp--preset--color--custom-purple) !important;
  background-color: var(--wp--preset--color--custom-purple) !important;
}

.single-product__buy-button,
.single-product__add-button,
.single-product__accordion__header,
.product-card__hover-button {
  font-family: var(--wp--preset--font-family--lexend-exa) !important;
  text-transform: uppercase !important;
  font-size: var(--wp--preset--font-size--small) !important;
}

.single-product__buy-button {
  border-color: var(--wp--preset--color--custom-purple) !important;
  color: var(--wp--preset--color--custom-purple) !important;
}

shopify-variant-selector::part(form),
.single-product__accordion__item,
.single-product__accordion__header.active {
  border-color: var(--wp--preset--color--custom-light-blue) !important;
}

.single-product__accordion__header,
.cart-dialog {
  color: var(--wp--preset--color--custom-deep-purple) !important;
}

.navigation__view-cart__quantity {
  background-color: var(--wp--preset--color--custom-pink) !important;
  z-index: 3;
}

.product-card {
  border: none;
  box-shadow: none;
}

.product-card .product-card__details .product-card__title {
  color: var(--wp--preset--color--custom-deep-purple) !important;
  font-weight: 700 !important;
}

.product-card__hover-button {
  border-color: var(--wp--preset--color--custom-purple) !important;
  background-color: var(--wp--preset--color--custom-purple) !important;
}

.product-card__price {
  color: var(--wp--preset--color--custom-gray) !important;
}

.pagination-button-list button {
  border-color: var(--wp--preset--color--custom-purple) !important;
}

.pagination-button-list button svg {
  stroke: var(--wp--preset--color--custom-purple) !important;
}

.pagination-button-list button:hover {
  background-color: var(--wp--preset--color--custom-purple) !important;
}

.pagination-button-list button:hover svg {
  stroke: var(--wp--preset--color--white) !important;
}

.home-featured .collection-pagination {
  display: none !important;
}